const {request} = require("../request/index")
/**
 * 获取反馈列表
 */
export const getFeedbackIndex = function (params) {
    return request({
        url: '/feedback/my',
        method: 'GET',
        params
    })
}
// 上传个人信息
export const uploadUserInfo = function(data) {
    return request({
        url: '/westreamUser/editInfo',
        method: 'PUT',
        data
    })
}

/**
 * 获取身份列表
 */
export const getIdList = function () {
    return request({
        url: '/identity/getList',
        method: 'GET'
    })
}

// 申请身份
export const approveIdenty = function(data) {
    return request({
        url: '/identity/submit',
        method: 'POST',
        data
    })
}

/**
 * 获取身份申请记录（最新一条）
 */
export const getIdApprove = function (data) {
    return request({
        url: '/identity/getApplyLast',
        method: 'GET',
        data
    })
}
/**
 * 积分获取明细
 */
export const pointDetail = function (data) {
    return request({
        url: '/my/pointsDetail',
        method: 'GET',
        data
    })
}
/**
 * 查询积分列表
 */
export const messageList = function (data) {
    return request({
        url: '/message/list',
        method: 'GET',
        data
    })
}
/**
 * 查看消息详情
 */
export const messageDetail = function (data) {
    return request({
        url: '/message/deail',
        method: 'GET',
        data
    })
}
/**
 * 全部已读
 */
export const readAll = function (data) {
    return request({
        url: '/message/read',
        method: 'PUT',
        data
    })
}
/**
 * 全部已读
 */
export const messageSum = function (data) {
    return request({
        url: '/message/sum',
        method: 'get',
        data
    })
}